%define debug_package %{nil}

Name:		pinta
Version:	0.4
Release:	3%{?dist}
Summary:	An easy to use drawing and image editing program

Group:		Applications/Multimedia

# the code is licensed under the MIT license while the icons are licensed as CC-BY
License:	MIT and CC-BY
URL:		http://pinta-project.com/

Source0:	http://github.com/downloads/jpobst/Pinta/%{name}-%{version}.tar.gz
      
BuildRoot:	%{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

# https://bugs.edge.launchpad.net/pinta/+bug/604869
Patch0:		pinta-0.4-cairo_1.9_flush_markdirty.patch
# https://bugs.edge.launchpad.net/pinta/+bug/611372
Patch1:		pinta-0.4-desktop-file-mime-list.patch
# http://github.com/jpobst/Pinta/commit/f1d7aa2b34011929e3c45b980b1733346a20ba9f
Patch2:		pinta-0.4-double_save_exception.patch
# http://github.com/jpobst/Pinta/commit/1578683a943f367e3725f1f431855d765e5de3bd
Patch3:		pinta-0.4-tools_exceptions_and_history_corruption.patch
# https://bugs.edge.launchpad.net/pinta/+bug/602711
Patch4:		pinta-0.4-tool_toolbar_fixed_size.patch

# We dont have mono on these arches:
ExcludeArch: sparc64

Requires:	hicolor-icon-theme
BuildRequires:	mono-devel, gtk-sharp2-devel, gettext, desktop-file-utils

%description
Pinta is a drawing/editing program modeled after Paint.NET. 
It's goal is to provide a simplified alternative to GIMP for casual users.

%prep
%setup -q
%patch0 -p1 -b .cairo-1.9
%patch1 -p1 -b .desktop-mime
%patch2 -p1 -b .double-save-exception
%patch3 -p1 -b .tools-exceptions
%patch4 -p1 -b .toolbar-size

sed -i -e 's!$(InstallPrefix)/lib/!$(InstallPrefix)/%{_lib}/!' Pinta/Pinta.csproj
sed -i -e 's!@prefix@/lib/!%{_libdir}/!' pinta.in

%build
%configure
make %{?_smp_mflags}

%install
rm -rf %{buildroot}
make install DESTDIR=%{buildroot}

desktop-file-validate %{buildroot}/%{_datadir}/applications/%{name}.desktop

%find_lang %name
  
%post
update-desktop-database &> /dev/null ||:

touch --no-create %{_datadir}/icons/hicolor &>/dev/null || :

%postun
update-desktop-database &> /dev/null || :

if [ $1 -eq 0 ] ; then
    touch --no-create %{_datadir}/icons/hicolor &>/dev/null
    gtk-update-icon-cache %{_datadir}/icons/hicolor &>/dev/null || :
fi

%posttrans
gtk-update-icon-cache %{_datadir}/icons/hicolor &>/dev/null || :

%clean
rm -rf %{buildroot}

%files -f %{name}.lang
%defattr(-,root,root,-)
%doc todo.txt readme.txt license-mit.txt license-pdn.txt
%{_libdir}/%{name}
%{_bindir}/%{name}
%{_datadir}/applications/%{name}.desktop
%{_datadir}/icons/hicolor/*/*/%{name}.*
%{_datadir}/man/man1/%{name}*
%{_datadir}/pixmaps/%{name}*

%changelog
* Sun Aug 01 2010 Paul Lange <palango@gmx.de> - 0.4-3
- Fix links in /bin
- Improve patch naming and add upstream links
- Fix mimetype patch

* Thu Jul 29 2010 Paul Lange <palango@gmx.de> - 0.4-2
- Fix icon cache handling
- Add some Requires and BuildRequires
- Add docs
- Add patches from debian

* Sat May 08 2010 Paul Lange <palango@gmx.de> - 0.4-1
- Initial packaging
